* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html, body {
    height: 100%;
    margin: 0;
}
body {
    font-family: 'atkinson hyperlegible', sans-serif;
    display: flex;
    flex-direction: column;
    min-height: 145vh;
    background-repeat: no-repeat;
}
.bg {
    position: absolute;
    left: 0;
    width: 100%;
    height: 100%;
    top: 31px;
    background-image: url("assets/placeholder.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: -1;
}
nav {
    background-color: #A82F2F;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    position: relative;
}
.logo {
    color: #0affcf;
    font-size: 24px;
    font-weight: bold;
}
.logo img {
    transition: transform 0.6s ease;
}
.logo img:hover{
    transform: scale(0.85);
}
.navlinks {
    list-style: none;
    display: flex;
    gap: 40px;
    justify-content: center;
}
.navlinks a {
    color: #ffe9d9;
    text-decoration: none;
    font-size: 35px;
    display:inline-block;
    transition: transform 0.6s ease;
    margin-right: 23px;
}
.navlinks a:hover {
    color: #0AFFCF;
    transform: scale(0.85);
}
/* burger */
.burgertoggle {
    display: none;
    font-size: 28px;
    color: #ffe9d9;
    cursor: pointer;
}
/*footer*/
footer{
    text-align: center;
    padding: 20px;
    background: #a82f2f;
    color: #380f00;
    display: flex;
    flex-direction: column;
    gap: 10px;

}
.footer-links a {
    margin: 0 10px;
    text-decoration: none;
    color: #380f00;
    transition: transform 0.6s ease;

}
.footer-links a:hover{
    text-decoration:underline;
    color: #FFE9D9;
    text-decoration-color:#FFE9D9;
}
footer a{
    margin: 0 10px;
    text-decoration: none;
    color: #380f00;
    transition: transform 0.6s ease;

}
footer a:hover{
    text-decoration:underline;
    color: #FFE9D9;
    text-decoration-color:#FFE9D9;
}
footer a img{
    transition: transform 0.6s ease;
}
footer a img:hover{
    transform: scale(0.85);
}
/*page specific stuff*/
main {
    display: flex;
    flex-direction: row;
    flex: 1;
    gap: 30px;
    color: #380f00;
    padding: 120px;
    padding-left: 200px;
}
.whoops{
    font-size: 70px;
    font-weight: bold;
}
div p:not(.whoops) {
    font-style: italic;
    position: static;
    color: #380f00;
}
.contactlinks{
    position: static;
    top: 35px;
    left: 25px;
    display: flex;
    flex-direction: column-reverse;
    gap: 10px;
}
main a {
    color: #A82F2F;
}
main a:hover {
    color: #FC6735;
}
main a:active{
    color: #0AFFCF;
}
main a:visited{
    color: #005C47;
}
main a:visited:hover{
    color: #FC6735;
}
.contact{
    width:60dvh;
}


.buttos{
    display: flex;
    flex-direction: column;
    position: fixed;
    bottom: 35px;
    right: 30px;
    gap: 10px;

}
#scrollTopBtn {
    display: none; /* hidden until scroll */
    background-color: #380f00;
    color: #0AFFCF;
    border: none;
    border-radius: 50%;
    height: 50px;
    width: 50px;
    font-size: 25px;
    cursor: pointer;
    transition: transform 0.2s ease;
}
#scrollTopBtn:hover{
    display: none; /* hidden until scroll */
    border: none;
    border-radius: 50%;
    height: 50px;
    width: 50px;
    font-size: 25px;
    cursor: pointer;
    transform: scale(1.3);
    color: #F28907;
    background-color:#0F565D;
    text-shadow:
            1px 0 currentColor,
            -1px 0 currentColor,
            0 1px currentColor,
            0 -1px currentColor;
}
#themeToggle {
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    z-index: 9999;
    border-radius: 50%;
    height: 50px;
    width: 50px;
    font-size: 25px;
    background-color: #380f00;
    color: #0AFFCF;
    cursor: pointer;
    transition: transform 0.2s ease;

}
#themeToggle:hover {
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    z-index: 9999;
    border-radius: 50%;
    height: 50px;
    width: 50px;
    font-size: 25px;
    cursor: pointer;
    transform: scale(1.3);
    color: #F28907;
    background-color:#0F565D ;
    text-shadow:
            1px 0 currentColor,
            -1px 0 currentColor,
            0 1px currentColor,
            0 -1px currentColor;
}

body.dark #scrollTopBtn{
    background-color: #F5F5F5;
    color: #001629;
}
body.dark #themeToggle{
    background-color: #F5F5F5;
    color: #001629;
}
body.dark #scrollTopBtn:hover{
    color: #F28907;
    background-color:#0F565D;
    text-shadow:
            1px 0 currentColor,
            -1px 0 currentColor,
            0 1px currentColor,
            0 -1px currentColor;
}
body.dark #themeToggle:hover{
    color: #F28907;
    background-color:#0F565D;
    text-shadow:
            1px 0 currentColor,
            -1px 0 currentColor,
            0 1px currentColor,
            0 -1px currentColor;
}
#themeRipple {
    position: fixed;
    width: 40px;
    height: 40px;
    border-radius: 50%;

    background: #001629;

    transform: scale(0);
    transform-origin: center;

    z-index: 9998;
    pointer-events: none;

    transition: transform 2s ease-out;
}
#themeRipple.active {
    transform: scale(290);
}

body.dark {
    background-color: #121212;
    color: #F5F5F5;
    font-size: 30px;
}
body.dark .bg{
    filter: invert(100);
}
body.dark p, body.dark h1{
    color: #F5F5F5;
}
body.dark a{
    color: #F5F5F5;
}
body.dark footer{
    background-color: #001629;
    color: #F5F5F5;
}
body.dark nav{
    background-color: #001629;
    color: #F5F5F5;
}
body.dark .navlinks a{
    font-size: 50px;
}
body.dark .logo, body.dark .logoimg{
    filter: grayscale(100) brightness(100);
    height: 20dvh;
    width: auto;
}
body.dark .whoops{
    font-size: 90px;
}
body.dark .contact{
    width: 65dvh;
}

/* responsive scale */
@media (max-width: 768px) {
    body.dark .burgertoggle{
        font-size: 100px;
        color: #F5F5F5;
    }
    body.dark .navlinks{
        background-color: #001629;
        color: #F5F5F5;
    }
    body.dark p, body.dark h1, body.dark .contactlinks{
        color: #F5F5F5;
        font-size: 30px;
    }
    body.dark .contact{
        width: 30dvh;
    }
    footer p{
         display: flex;
         justify-content: center;
     }
    .burgertoggle {
        display: block;
    }
    .navlinks {
        display: none;
        flex-direction: column;
        background-color: #A82F2F;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        padding: 20px;
    }
    .navlinks.active {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    footer {
        padding: 20px;
        height: auto;   /* IMPORTANT */
        gap: 15px;
    }
    .footer-links {
        flex-direction: column;
        align-items: center;
        gap: 10px;
    }
    footer a {
        display: block;
    }
    main {
        flex-direction: column;
        padding: 14px;
        padding-top: 46px;
    }
    .contactlinks {
        align-items: flex-start;
    }
    footer {
        padding: 20px;
        height: auto;   /* IMPORTANT */
        gap: 15px;
        color: #FFE9D9;
    }
    .footer-links {
        flex-direction: column;
        align-items: center;
        gap: 10px;
        color: #FFE9D9;
    }
    .footer-links a{
        color: #FFE9D9;
    }
    footer a {
        display: block;
        color: #FFE9D9;
    }
    footer{
        color: #FFE9D9;
    }
    .bg{
        background-image: url("assets/summary front page cover.png");
        background-attachment: scroll;
        height: 85dvh;
        position: absolute;
        top: 77px;
    }
    .contact{
        width: 30dvh;
        font-size: 12px;
    }
    .whoops{
       font-size: 63px;
    }
}


